Loading...
Searching...
No Matches
OFTimer Class Reference

A class for measurement of time. More...

## Public Member Functions

| OFTimer ()
| constructor
void | reset ()
| reset start time
double | getDiff () const
| get elapsed time.

## Static Public Member Functions

static double | getDiff (double start)
| get difference between current time and specified time
static double | getTime ()
| get current time

## Private Attributes

double | Start
| reference/start time

## Detailed Description

A class for measurement of time.

Timer intervals are represented as floating point values of seconds.

## Member Function Documentation

## getDiff() [1/2]

double OFTimer::getDiff | ( |  | ) | const

get elapsed time.

i.e. difference between current and start time

Returns
  elapsed time in seconds

## getDiff() [2/2]

double OFTimer::getDiff | ( | double | start | ) |

static

get difference between current time and specified time

Parameters

  start | reference time (in seconds)

Returns
  difference between the two times (in seconds)

## getTime()

double OFTimer::getTime | ( |  | ) |

static

get current time

Returns
  current time in seconds

The documentation for this class was generated from the following file:

- ofstd/include/dcmtk/ofstd/oftimer.h

Generated on for DCMTK Version 3.7.0 by Doxygen 1.15.0